Bug 220260 - A bad "module use" command in /usr/share/Modules/modulefiles/modules
A bad "module use" command in /usr/share/Modules/modulefiles/modules
Product: Fedora
Classification: Fedora
Component: environment-modules (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
Depends On:
Blocks: FE7Target
  Show dependency treegraph
Reported: 2006-12-19 18:09 EST by Erik Jacobson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.2.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-09 13:24:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Erik Jacobson 2006-12-19 18:09:37 EST
We have discovered that the environment-modules package has a problem
with it's "modules" module.

A "module load modules" command gives an error due to an erroneous
"module use" command at line 27 in /usr/share/Modules/modulefiles/modules.

wolfberry8% module load modules
ModuleCmd_Use.c(186):ERROR:11: Usage is 'use [-a|--append] dir [dir ...]'
modules(27):ERROR:102: Tcl command execution failed: module             use

Looking at the file, there is an incomplete "use" command at the end of
the module.

module          use

should be

module          use             /usr/share/Modules
Comment 1 Erik Jacobson 2006-12-19 18:30:10 EST
This was observed in environment-modules-3.2.3-2.fc6, which seems
to be the same version in the 'development' directory.
Comment 2 Erik Jacobson 2006-12-19 22:27:23 EST
I was messing around with the configure files when I realized the issue seems
to be that VERSIONPATH is not set when --with-version-path is unset AND module
versioning is off.  But the "modules" module file uses the @VERSIONPATH@ macro.

A quick fix that worked for me was to just specify the path on the configure
line like this:

-%configure --disable-versioning --prefix=%{_datadir}
+%configure --disable-versioning --prefix=%{_datadir}
--exec-prefix=%{_datadir}/Modules --with-version-path=/usr/share/Modules/modulefiles
 make %{?_smp_mflags}
Comment 3 Orion Poplawski 2007-02-09 13:24:29 EST
Fixed in 3.2.3-3.fc6

Note You need to log in before you can comment on or make changes to this bug.